Package org.bukkit

# Interface BanList

public interface BanList
A ban list, containing bans of some `BanList.Type`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`BanList.Type`
Represents a ban-type that a `BanList` may track.

## Method Summary

Modifier and Type
Method
Description
`@Nullable BanEntry`
`addBan(@NotNull String target, @Nullable String reason, @Nullable Date expires, @Nullable String source)`
Adds a ban to the this list.
`@NotNull Set<BanEntry>`
`getBanEntries()`
Gets a set containing every `BanEntry` in this list.
`@Nullable BanEntry`
`getBanEntry(@NotNull String target)`
Gets a `BanEntry` by target.
`boolean`
`isBanned(@NotNull String target)`
Gets if a `BanEntry` exists for the target, indicating an active ban status.
`void`
`pardon(@NotNull String target)`
Removes the specified target from this list, therefore indicating a "not banned" status.

## Method Details

### getBanEntry

@Nullable @Nullable BanEntry getBanEntry(@NotNull @NotNull String target)
Gets a `BanEntry` by target.

Parameters:
  `target` - entry parameter to search for
Returns:
  the corresponding entry, or null if none found

### addBan

@Nullable @Nullable BanEntry addBan(@NotNull @NotNull String target, @Nullable @Nullable String reason, @Nullable @Nullable Date expires, @Nullable @Nullable String source)
Adds a ban to the this list. If a previous ban exists, this will update the previous entry.

Parameters:
  `target` - the target of the ban
  `reason` - reason for the ban, null indicates implementation default
  `expires` - date for the ban's expiration (unban), or null to imply forever
  `source` - source of the ban, null indicates implementation default
Returns:
  the entry for the newly created ban, or the entry for the (updated) previous ban

### getBanEntries

@NotNull @NotNull Set<BanEntry> getBanEntries()
Gets a set containing every `BanEntry` in this list.

Returns:
  an immutable set containing every entry tracked by this list

### isBanned

boolean isBanned(@NotNull @NotNull String target)
Gets if a `BanEntry` exists for the target, indicating an active ban status.

Parameters:
  `target` - the target to find
Returns:
  true if a `BanEntry` exists for the name, indicating an active ban status, false otherwise

### pardon

void pardon(@NotNull @NotNull String target)
Removes the specified target from this list, therefore indicating a "not banned" status.

Parameters:
  `target` - the target to remove from this list